%global qt_module qtserialbus

Summary: Qt5 - SerialBus component
Name:    qt5-%{qt_module}
Version: 5.15.10
Release: 1%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz
Patch3000: qtserialbus-everywhere-src-5.12.3-SIOCGSTAMP.patch
BuildRequires: make, qt5-qtbase-private-devel, qt5-qtbase-devel >= %{version}, qt5-qtserialport-devel >= %{version}
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
Qt Serial Bus (API) provides classes and functions to access the various
industrial serial buses and protocols, such as CAN, ModBus, and others.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: qt5-qtbase-devel

%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}

%description examples
%{summary}.



%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1



%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. CONFIG+=qt_example_installs

%make_build



%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license LICENSE.*
%{_qt5_libdir}/libQt5SerialBus.so.5*
%{_qt5_bindir}/canbusutil
%{_qt5_plugindir}/canbus

%files devel
%{_qt5_headerdir}/QtSerialBus/
%{_qt5_libdir}/libQt5SerialBus.so
%{_qt5_libdir}/libQt5SerialBus.prl
%dir %{_qt5_libdir}/cmake/Qt5SerialBus/
%{_qt5_libdir}/cmake/Qt5SerialBus
%{_qt5_libdir}/pkgconfig/Qt5SerialBus.pc
%{_qt5_archdatadir}/mkspecs/modules/*
%exclude %{_qt5_libdir}/libQt5SerialBus.la

%files examples
%{_qt5_examplesdir}/


%changelog
* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 14 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-1
- initial
